rb_io_t::rb_io_enc_t Struct Reference

`#include <io.h>`

## Data Fields

rb_encoding * | enc
rb_encoding * | enc2
int | ecflags
VALUE | ecopts

## Detailed Description

Definition at line 72 of file io.h.

## Field Documentation

int rb_io_t::rb_io_enc_t::ecflags

Definition at line 75 of file io.h.

VALUE rb_io_t::rb_io_enc_t::ecopts

Definition at line 76 of file io.h.

rb_encoding* rb_io_t::rb_io_enc_t::enc

Definition at line 73 of file io.h.

rb_encoding* rb_io_t::rb_io_enc_t::enc2

Definition at line 74 of file io.h.

The documentation for this struct was generated from the following file:

- include/ruby/io.h